/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.compliance.server.support;

import javax.management.Attribute;
import javax.management.AttributeList;
import javax.management.DynamicMBean;
import javax.management.MBeanInfo;

/**
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.3.2.1 $
 */
public class Dynamic
   implements DynamicMBean
{
   public MBeanInfo getMBeanInfo()
   {
      return new MBeanInfo("does.not.exist", "description", null, null, null, null);
   }

   public Object invoke(String action, Object[] params, String[] signature)
   {
      return null;
   }

   public Object getAttribute(String attribute)
   {
      return null;
   }

   public AttributeList getAttributes(String[] attributes)
   {
      return null;
   }

   public void setAttribute(Attribute attribute)
   {
   }

   public AttributeList setAttributes(AttributeList attributes)
   {
      return null;
   }
}
